diff --git a/.github/ci/build.sh b/.github/ci/build.sh
index 77d2b3cab..68a7c0c34 100755
--- a/.github/ci/build.sh
+++ b/.github/ci/build.sh
@@ -7,7 +7,7 @@ set -euo pipefail
 export RUSTUP_HOME=/ci/cache/rustup
 export CARGO_HOME=/ci/cache/cargo
 export CARGO_TARGET_DIR=/ci/cache/target
-if [ -f /ci/secrets/teleprobe-token.txt ]; then 
+if [ -f /ci/secrets/teleprobe-token.txt ]; then
     echo Got teleprobe token!
     export TELEPROBE_HOST=https://teleprobe.embassy.dev
     export TELEPROBE_TOKEN=$(cat /ci/secrets/teleprobe-token.txt)
diff --git a/.github/ci/crlf.sh b/.github/ci/crlf.sh
index 69838ce88..ede17c861 100755
--- a/.github/ci/crlf.sh
+++ b/.github/ci/crlf.sh
@@ -4,7 +4,7 @@
 
 set -euo pipefail
 
-FILES_WITH_CRLF=$(find  ! -path "./.git/*" -not -type d | xargs file -N | (grep " CRLF " || true))
+FILES_WITH_CRLF=$(find  ! -path "./.git/*" -not -type d | xargs -0 file -N | (grep " CRLF " || true))
 
 if [ -z "$FILES_WITH_CRLF" ]; then
   echo -e "No files with CRLF endings found."
diff --git a/.github/ci/rustfmt.sh b/.github/ci/rustfmt.sh
index 369239cfe..0080f0db8 100755
--- a/.github/ci/rustfmt.sh
+++ b/.github/ci/rustfmt.sh
@@ -9,4 +9,4 @@ export CARGO_HOME=/ci/cache/cargo
 export CARGO_TARGET_DIR=/ci/cache/target
 mv rust-toolchain-nightly.toml rust-toolchain.toml
 
-find . -name '*.rs' -not -path '*target*' | xargs rustfmt --check  --skip-children --unstable-features --edition 2021
+find . -name '*.rs' -not -path '*target*' | xargs -0 rustfmt --check  --skip-children --unstable-features --edition 2021
diff --git a/.github/ci/test.sh b/.github/ci/test.sh
index 8a58939f6..6cb3a4bff 100755
--- a/.github/ci/test.sh
+++ b/.github/ci/test.sh
@@ -8,9 +8,9 @@ export RUSTUP_HOME=/ci/cache/rustup
 export CARGO_HOME=/ci/cache/cargo
 export CARGO_TARGET_DIR=/ci/cache/target
 
-cargo test --manifest-path ./embassy-sync/Cargo.toml 
-cargo test --manifest-path ./embassy-embedded-hal/Cargo.toml 
-cargo test --manifest-path ./embassy-hal-internal/Cargo.toml 
+cargo test --manifest-path ./embassy-sync/Cargo.toml
+cargo test --manifest-path ./embassy-embedded-hal/Cargo.toml
+cargo test --manifest-path ./embassy-hal-internal/Cargo.toml
 cargo test --manifest-path ./embassy-time/Cargo.toml --features generic-queue,mock-driver
 cargo test --manifest-path ./embassy-time-driver/Cargo.toml